/*------------------------------------*\
    #HELPERS.MARGIN
\*------------------------------------*/
/**
 * Margin helpers
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.helpers';

.#{$inuit-namespace}clear,
%#{$inuit-namespace}clear {

    &--top-margin {
        margin-top: 0;
    }

    &--right-margin {
        margin-right: 0;
    }

    &--bottom-margin {
        margin-bottom: 0;
    }

    &--left-margin {
        margin-left: 0;
    }
}

.#{$inuit-namespace}add,
%#{$inuit-namespace}add {

    &--top-margin-1 {
        margin-top: $frs-grid-unit;
    }

    &--right-margin-1 {
        margin-right: $frs-grid-unit;
    }

    &--bottom-margin-1 {
        margin-bottom: $frs-grid-unit;
    }

    &--left-margin-1 {
        margin-left: $frs-grid-unit;
    }

    &--top-margin-2 {
        margin-top: frs-double($frs-grid-unit);
    }

    &--right-margin-2 {
        margin-right: frs-double($frs-grid-unit);
    }

    &--bottom-margin-2 {
        margin-bottom: frs-double($frs-grid-unit);
    }

    &--left-margin-2 {
        margin-left: frs-double($frs-grid-unit);
    }
}
